
#if os(macOS)
import Cocoa
typealias BaseViewController = NSViewController
#else
import UIKit
typealias BaseViewController = UIViewController
#endif

import MetalKit

class ViewController: BaseViewController {
    
    var metalView: MTKView {
        return view as! MTKView
    }
    
    var device: MTLDevice!
    
    var renderer: Renderer!

    override func viewDidLoad() {
        super.viewDidLoad()
        
        device = MTLCreateSystemDefaultDevice()
        metalView.device = device
        renderer = Renderer(metalView)
    }
}
